function J2M2(X;filename="example.m2",flag="Quatroids")
	L=[]
	if flag=="Quatroids"
		L=X
		filename="AllQuatroids.m2"
	elseif flag=="Representatives"
		L = [Vector{Vector{Int64}}(collect(eachrow(x))) for x in X]
		for i in 1:126
			if i∈[41,63]
				L[i]=[[]]
			end
		end
		filename="RationalRepresentatives.m2"
	end
	loc = pwd()*"/src/Results/"*filename
	touch(loc)
	io = open(loc,"w")
	l = L[1]
    s = string(l)
	s = replace(s, "Vector{Int64}"=>"")
	s = replace(s, "Vector{Any}"=>"")
	s = replace(s, "Int64"=>"")
	s = replace(s, "Any"=>"")
	s = replace(s, "["=>"{")
	s = replace(s, "]"=>"}")
	if flag=="Representatives"
		s="P_1=matrix"*s
	elseif flag=="Quatroids"
		s="QQQ_1="*s
	end
	write(io,s)
    for i in 2:length(L)
		write(io,"\n")
		l=L[i]
        s = string(l)
		s = replace(s, "Vector{Int64}"=>"")
		s = replace(s, "Vector{Any}"=>"")
		s = replace(s, "Int64"=>"")
		s = replace(s, "Any"=>"")
		s = replace(s, "["=>"{")
		s = replace(s, "]"=>"}")
		if flag=="Representatives"
			s="P_"*string(i)*"=matrix"*s
		elseif flag=="Quatroids"
			s="QQQ_"*string(i)*"="*s
		end
        write(io,s)
	end
	close(io)
end
